<?php

class ColbySvg {
	public $default_atts = [
		'name' => '',
		'container-class' => '',
		'container' => ''
	];

	public function __construct( $atts ) {
		$this->atts = shortcode_atts( $this->default_atts, $atts );
	}

	private function make_container() {
		$container = [
			'start' => '',
			'end' => '',
		];

		$container_class = $this->atts['container-class'] ? " class={$this->atts['container-class']}" : '';

		if ( $this->atts['container'] ) {
			$container['start'] = "<{$this->atts['container']}{$container_class}>";
			$container['end'] = "</{$this->atts['container']}>";
		}

		return $container;
	}

	public function render() {
		$container = $this->make_container();

		ob_start();

		echo $container['start'];
		require( __DIR__ . "/wp-svg/{$this->atts['name']}.svg" );
		echo $container['end'];

		return ob_get_clean();
	}
}

add_shortcode( 'colby-svg', function( $atts ) {
	$colby_svg = new ColbySvg( $atts );

	if ( ! $colby_svg->atts['name'] ) {
		return '';
	}

	if ( ! file_exists( __DIR__ . "/wp-svg/{$colby_svg->atts['name']}.svg" ) ) {
		return '';
	}

	return $colby_svg->render();

} );
